program str_arr;

  const
    MyStringsCount = 6;
  type
    Ident = string(20);

(*$W-*)

  var
    MyStrings : array [1..MyStringsCount] of Ident value [
      1:'EXPORT'; 2:'IMPLEMENTATION'; 3:'IMPORT';
      4:'INTERFACE'; 5:'MODULE'; 6:'OK'];

(*$W+*)  (* BUG: Indices and field names are ignored in initializers. *)

begin
  writeln ( MyStrings [ 6 ] );
end.
